Index: src/main/java/de/mpiwg/itgroup/annotations/Actor.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/Actor.java	(revision 9)
+++ src/main/java/de/mpiwg/itgroup/annotations/Actor.java	(revision 9)
@@ -0,0 +1,65 @@
+/**
+ * 
+ */
+package de.mpiwg.itgroup.annotations;
+
+/**
+ * @author casties
+ *
+ */
+public class Actor {
+
+    public boolean isGroup;
+    public String uri;
+    public String name;
+    
+    /**
+     * @param isGroup
+     * @param id
+     * @param uri
+     * @param name
+     */
+    public Actor(boolean isGroup, String uri, String name) {
+        super();
+        this.isGroup = isGroup;
+        this.uri = uri;
+        this.name = name;
+    }
+    
+    /**
+     * @return the isGroup
+     */
+    public boolean isGroup() {
+        return isGroup;
+    }
+    /**
+     * @param isGroup the isGroup to set
+     */
+    public void setGroup(boolean isGroup) {
+        this.isGroup = isGroup;
+    }
+    /**
+     * @return the uri
+     */
+    public String getUri() {
+        return uri;
+    }
+    /**
+     * @param uri the uri to set
+     */
+    public void setUri(String uri) {
+        this.uri = uri;
+    }
+    /**
+     * @return the name
+     */
+    public String getName() {
+        return name;
+    }
+    /**
+     * @param name the name to set
+     */
+    public void setName(String name) {
+        this.name = name;
+    }
+}
Index: src/main/java/de/mpiwg/itgroup/annotations/Annotation.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/Annotation.java	(revision 8)
+++ src/main/java/de/mpiwg/itgroup/annotations/Annotation.java	(revision 9)
@@ -48,12 +48,7 @@
     
     /**
-     * The URI of the creator of this annotation.
+     * The creator of this annotation.
      */
-    protected String creatorUri;
-    
-    /**
-     * The full name of the creator of this annotation.
-     */
-    protected String creatorName;
+    protected Actor creator;
     
     /**
@@ -149,15 +144,25 @@
 
     /**
+     * @return the creator
+     */
+    public Actor getCreator() {
+        return creator;
+    }
+
+    /**
+     * @param creator the creator to set
+     */
+    public void setCreator(Actor creator) {
+        this.creator = creator;
+    }
+
+    /**
      * @return the creatorUri
      */
     public String getCreatorUri() {
-        return creatorUri;
-    }
-
-    /**
-     * @param creatorUri the creatorUri to set
-     */
-    public void setCreatorUri(String creatorUri) {
-        this.creatorUri = creatorUri;
+        if (creator != null) {
+            return creator.getUri();
+        }
+        return null;
     }
 
@@ -166,12 +171,8 @@
      */
     public String getCreatorName() {
-        return creatorName;
-    }
-
-    /**
-     * @param creatorName the creatorName to set
-     */
-    public void setCreatorName(String creatorName) {
-        this.creatorName = creatorName;
+        if (creator != null) {
+            return creator.getName();
+        }
+        return null;
     }
 
Index: src/main/java/de/mpiwg/itgroup/annotations/Person.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/Person.java	(revision 8)
+++ 	(revision )
@@ -1,12 +1,0 @@
-/**
- * 
- */
-package de.mpiwg.itgroup.annotations;
-
-/**
- * @author casties
- *
- */
-public class Person {
-
-}
Index: src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java	(revision 8)
+++ src/main/java/de/mpiwg/itgroup/annotations/neo4j/AnnotationStore.java	(revision 9)
@@ -18,4 +18,5 @@
 import org.neo4j.graphdb.index.IndexHits;
 
+import de.mpiwg.itgroup.annotations.Actor;
 import de.mpiwg.itgroup.annotations.Annotation;
 import de.mpiwg.itgroup.annotations.Annotation.FragmentTypes;
@@ -95,11 +96,13 @@
 			annot.setFragmentType(FragmentTypes.valueOf(ft));
 		}
-		// get creator form relation
+		// get creator from relation
 		Iterable<Relationship> creatorRels = annotNode
 				.getRelationships(RelationTypes.CREATED);
 		for (Relationship creatorRel : creatorRels) {
-			Node creator = creatorRel.getStartNode();
-			annot.setCreatorUri((String) creator.getProperty("uri", null));
-			annot.setCreatorName((String) creator.getProperty("name", null));
+			Node creatorNode = creatorRel.getStartNode();
+			String uri = (String) creatorNode.getProperty("uri", null);
+			String name = (String) creatorNode.getProperty("name", null);
+            Actor creator = new Actor(false, uri, name);
+            annot.setCreator(creator);
 			// just the first one
 			break;
Index: src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java
===================================================================
--- src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 5)
+++ src/main/java/de/mpiwg/itgroup/annotations/restlet/AnnotatorResourceImpl.java	(revision 9)
@@ -5,6 +5,4 @@
 
 import java.io.UnsupportedEncodingException;
-import java.net.URLDecoder;
-import java.net.URLEncoder;
 import java.security.InvalidKeyException;
 import java.security.SignatureException;
@@ -36,4 +34,5 @@
 import org.restlet.resource.ServerResource;
 
+import de.mpiwg.itgroup.annotations.Actor;
 import de.mpiwg.itgroup.annotations.Annotation;
 import de.mpiwg.itgroup.annotations.Annotation.FragmentTypes;
@@ -194,9 +193,9 @@
                 // make short user id
                 String userId = annot.getCreatorUri();
+                // remove namespace from user uri to get id
                 if (userId != null && userId.startsWith(NS.MPIWG_PERSONS_URL)) {
-                    userId = userId.replace(NS.MPIWG_PERSONS_URL, ""); // entferne
-                                                                       // NAMESPACE
-                }
-                // save as id
+                    userId = userId.replace(NS.MPIWG_PERSONS_URL, "");
+                }
+                // set as id
                 userObject.put("id", userId);
                 // get full name
@@ -390,4 +389,10 @@
              * } authUser = httpUser.getIdentifier();
              */
+        }
+        // get or create creator object
+        Actor creator = annot.getCreator();
+        if (creator == null) {
+            creator = new Actor(false, null, null);
+            annot.setCreator(creator);
         }
         // username not required, if no username given authuser will be used
@@ -414,8 +419,8 @@
         }
         // try to get full name
-        if (username != null) {
+        if (creator.getName() == null && username != null) {
             RestServer restServer = (RestServer) getApplication();
             String fullName = restServer.getFullNameFromLdap(username);
-            annot.setCreatorName(fullName);
+            creator.setName(fullName);
         }
         // userUri should be a URI, if not it will set to the MPIWG namespace
@@ -428,6 +433,6 @@
         }
         // TODO: should we overwrite the creator?
-        if (annot.getCreatorUri() == null) {
-            annot.setCreatorUri(userUri);
+        if (creator.getUri() == null) {
+            creator.setUri(userUri);
         }
         
